Subject: Re: [PATCH] bridge: assign random address

From: David Miller <[email-masked]>
Date: Sun, 16 Dec 2007 15:26:06 -0800 (PST)

From: Andrew Morton <[email-masked]>
Date: Sun, 16 Dec 2007 14:29:15 -0800

> On Sun, 16 Dec 2007 13:37:17 -0800 (PST) David Miller <[email-masked]> wrote:
> 
> > From: Stephen Hemminger <[email-masked]>
> > Date: Tue, 11 Dec 2007 15:48:35 -0800
> > 
> > > Subject: Re: [PATCH] bridge: assign random address
> > 
> > "bridge" should all-caps and in brackets,
> 
> No, "bridge" should not be in [].  Lots of people's patch-receiving scripts
> assume that any text in [] is to be removed as the patch is committed.  It
> contains text which is only relevant to the particular email which carried
> the patch.  Stuff like "patch" and "4/5" and "linux-2.6.23", etc.

I don't use scripts, I edit it by hand.  And when I do ever use
scripts I will make sure they accomodate "[$SUBSYSTEM]" format
subject lines, you can be sure.

And you can even make those scripts happy by doing:

[Patch 1/7] [SUBSYSTEM]: Foo bar baz...

And if you haven't noticed over the past few years, this is
is the convention we've been using in the networking.

I munge every one of your (and everyone else's) changelog entry
headers this way.  Without exception, every single one.

So when you don't follow this convention, you make more typing
and more work for me.  The more patches I get from someone
the more important it is for this convention to be followed.

I find it very hard to believe that you haven't once looked
at the hundreds of patches I've applied of your's and not
noticed how I reformat everything.